## haskell-anydbm 1.0.5.0

=== Makefile ===
# arch-tag: Main Makefile
# Copyright (C) 2004 - 2005 John Goerzen <jgoerzen@complete.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 2.1 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

PROJECT := anydbm
GHCPARMS := -fallow-overlapping-instances -fallow-undecidable-instances -fglasgow-exts -cpp

.PHONY: all hugsbuild
all: setup			# GHC build
	./setup configure
	./setup build

hugsbuild: setup
	./setup configure --hugs
	./setup build

setup: Setup.hs $(PROJECT).cabal
	ghc -package Cabal Setup.hs -o setup

doctmp/%.hs: %.lhs doctmp
	mkdir -p `dirname $@`
	$(UNLIT) $< $@

doctmp:
	mkdir doctmp

.PHONY: doc
doc: $(LHSCONVSOURCES) setup
	-rm -rf html
	./setup configure
	./setup haddock
#	haddock $(HADDOCKARGS) --package=$(PROJECT) \
#	   --dump-interface=html/$(PROJECT).haddock \
#	   -t '$(PROJECT) API Manual' -h -o html $(HUGSCONVSOURCES) $(LHSCONVSOURCES)
	mv dist/doc/html .

.PHONY: hugsbuild


clean:
	-./setup clean
	-rm -rf html `find . -name "*.o"` `find . -name "*.hi"` \
		`find . -name "*~"` *.a setup dist testsrc/runtests \
		local-pkg doctmp
	-rm -rf testtmp/*

.PHONY: local-pkg
local-pkg: all
	echo "[" > local-pkg
	cat .installed-pkg-config >> local-pkg
	echo "]" >> local-pkg

testsrc/runtests: all $(wildcard testsrc/*.hs) $(wildcard testsrc/*/*.hs) $(wildcard testsrc/*/*/*.hs)
	cd testsrc && ghc --make -package mtl $(GHCPARMS) -o runtests  -i../dist/build:../src runtests.hs

test-ghc6: testsrc/runtests
	testsrc/runtests

test-hugs: 
	runhugs -98 +o "-Fcpphs --noline" -P$(PWD)/src:$(PWD)/testsrc: testsrc/runtests.hs

interact-hugs:
	hugs -98 +o -P$(PWD)/dist/build:

interact-ghci: all
	ghci -idist/build -Ldist/build $(GHCPARMS)

interact: interact-hugs

test: test-ghc6 test-hugs

## haskell-anydbm 1.0.4

=== debian/changelog ===
haskell-anydbm (1.0.4) unstable; urgency=medium

  * Rebuild for newer MissingH.  Closes: #429707, #431857.
  * Drop Hugs support due to lack of regex.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 12 Jul 2007 00:09:24 -0500

haskell-anydbm (1.0.3) unstable; urgency=low

  * Rebuilt for GHC 6.6.
  * Added build-dep on libhugs-hunit.  Closes: #422628.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 01 Jun 2007 22:09:07 -0500

haskell-anydbm (1.0.2) unstable; urgency=low

  * Rebuild against newer MissingH.
  * Update for newer Hugs.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 04 May 2007 03:48:38 -0500

haskell-anydbm (1.0.1) unstable; urgency=low

  * Switched to correct Setup.hs.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  7 Dec 2006 18:07:34 -0600

haskell-anydbm (1.0.0) unstable; urgency=low

  * Initial release of AnyDBM.  Closes: #402078.
    This package was split off from MissingH due to the MissingH
    transition plan.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  7 Dec 2006 06:46:41 -0600

missingh (0.18.0) unstable; urgency=low

  * Major API changes in this release; several large modules being
    split off into separate packages.  See 
    http://software.complete.org/missingh/wiki/TransitionPlanning
    for details.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  7 Dec 2006 06:13:58 -0600

missingh (0.16.3) unstable; urgency=low

  * New version
  * New module MissingH.ProgressTracker which tracks the progress
    of long-running tasks.  It can also give estimated time to completion
    and overall speed statistics, as well as support dividing a task
    into many subtasks.
  * New module MissingH.ProgressMeter which displays one or more
    ProgressTrackers as a status bar on a console.
  * New module MissingH.Quantity which renders numbers according
    to a quantification system such as SI or binary
  * New functions forkRawSystem and pOpen3Raw in MissingH.Cmd.  Instead
    of taking functions to run as actions, instead returns the PID
    of the child process and leaves it up to the programmer to properly
    handle the result.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 28 Nov 2006 05:52:08 -0600

missingh (0.16.2) unstable; urgency=low

  * Documented Quantity.hs
  * Fixed missing libghc6-*-dev deps from GHC 6.6.  Closes: #394580.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 21 Oct 2006 19:51:08 -0500

missingh (0.16.1) unstable; urgency=low

  * Fix up dependencies

 -- John Goerzen <jgoerzen@complete.org>  Thu, 19 Oct 2006 05:24:04 -0500

missingh (0.16.0) unstable; urgency=low

  * NEW: MissingH.Quantity that is used to render numbers as binary
    units (MB, KB, etc) or SI units, or other similar units
  * NEW: MissingH.ProgressTracker that is used to track the progress
    of long-running tasks, measure their speed, and give estimated
    completion times
  * Update to support GHC 6.6
    + Remove FiniteMap support everywhere (no longer supported in GHC)
    + Remove MissingH.Printf (has been deprecated since 0.13.0 due to
      Text.Printf)
    + Update README
    + Fix MissingH.FTP.Server for GHC 6.6.0 compatibility
    + Update cabal file for GHC 6.6 compatibility
  * Patch from Jeremy Shaw to add to MissingH.HUnit the ability to turn
    QuickCheck tests into HUnit tests
  * Patch from Joe Edmonds to MissingH.Wash.Mail.MailParser to
    accept a slight violation of RFC2822 in which date headers may have
    a single-digit date
  * Fix a logic error in MemoryBuffer's vPutStr that could corrupt
    data when a write occurs after a seek, and wrote a test to
    detect this condition.  Thanks to Bulat Ziganshin for finding this.
  * New function in MissingH.List to merge two sorted lists into
    a single sorted whole.  Patch from Clifford Beshers.
  * Work around lack of signals on Windows in MissingH.Cmd.
  * Make sure Data.Bits is imported in MissingH.IO.StatCompat.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 19 Oct 2006 04:38:10 -0500

missingh (0.14.5) unstable; urgency=low

  * New function: MissingH.Cmd.posixRawSystem
  * MissingH.Cmd.safeSystem now implemented in terms of posixRawSystem 
    on supported platforms.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  4 Jul 2006 11:34:49 -0500

missingh (0.14.4) unstable; urgency=low

  * Fix a bug in ConfigParser.merge and write a test for it.
  * Rebuilt with GHC 6.4.2

 -- John Goerzen <jgoerzen@complete.org>  Wed, 28 Jun 2006 14:05:56 -0500

missingh (0.14.3) unstable; urgency=low

  * IO/StatCompat: Fixed missing Data.Bits import on mingw32 
  * Updated COPYING file with new FSF address
  * Cmd.hs: Commented out code that was never used
  * Import new package MD5 0.2.7 from Ian Lynagh

 -- John Goerzen <jgoerzen@complete.org>  Wed, 28 Jun 2006 03:48:24 -0500

missingh (0.14.2) unstable; urgency=low

  * ConfigParser gives more helpful error messages when possible --
    it now includes section and option in most error messages
  * Unit tests updated for new ConfigParser output
  * MissingH.Str: New function escapeRe that takes a string and makes
    a regular expression that matches the string literally.
  * MissingH.IO.HVFS: New function vDoesExist
  * MissingH.List: New function hasAny
  * New modules: MissingH.Path.Glob and MissingH.Path.WildMatch
    and tests for them
  * 716 total unit tests now

 -- John Goerzen <jgoerzen@complete.org>  Thu, 13 Apr 2006 00:14:10 -0500

missingh (0.14.0) unstable; urgency=low

  * New function splitWs
  * Loggers: When creating new loggers, use the new parent for defaults
    when possible. [API change]
  * Logger handlers: Now pass the calling logger name to handlers.
    [API change]
  * New log handler: verboseStreamHandler
  * Syslog handler also includes priority and logger name for each message.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  4 Apr 2006 05:31:15 -0500

missingh (0.13.1) unstable; urgency=low

  * Note Build-Depends on HUnit in MissingH.Cabal.  Closes: #356196.


=== debian/control ===
Source: haskell-anydbm
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.6.1), ghc6 (<< 6.6.1-999), haskell-devscripts (>= 0.5.6), cpphs, libghc6-mtl-dev, libghc6-missingh-dev (>= 0.18.6)
Build-Depends-Indep: debhelper (>= 4.0.0), haddock, haskell-devscripts (>= 0.5.6), ghc6 (>= 6.6), cpphs
Standards-Version: 3.6.2
Section: devel

Package: libghc6-anydbm-dev
Section: devel
Architecture: any
Depends: ${haskell:Depends}, libghc6-mtl-dev, libghc6-missingh-dev (>= 0.18.6)
Suggests: anydbm-doc
Description: Generic DBM-type interface for Haskell, GHC package
 This module provides a generic infrastructure for supporting storage
 of hash-like items with String-to-String mappings.  It can be used
 for in-memory or on-disk storage.
 .
 Two simple backend drivers are included with this package: one
 that is RAM-only, and one that is persistent and disk-backed.
 The hdbc-anydbm package provides another driver, which lets you use
 simple tables in any SQL database to provide a DBM-like interface.
 MissingPy also provides a Python driver which lets you use any
 Python anydbm driver under Haskell AnyDBM.

Package: anydbm-doc
Section: doc
Architecture: all
Description: Generic DBM-type interface for Haskell, Documentation
 This module provides a generic infrastructure for supporting storage
 of hash-like items with String-to-String mappings.  It can be used
 for in-memory or on-disk storage.
 .
 Two simple backend drivers are included with this package: one
 that is RAM-only, and one that is persistent and disk-backed.
 The hdbc-anydbm package provides another driver, which lets you use
 simple tables in any SQL database to provide a DBM-like interface.
 MissingPy also provides a Python driver which lets you use any
 Python anydbm driver under Haskell AnyDBM.

## haskell-anydbm 1.0.5.0

=== debian/changelog ===
haskell-anydbm (1.0.5.0) unstable; urgency=low

  * Rebuild for newer GHC6, MissingH.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 16 Jan 2008 10:39:21 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: haskell-anydbm
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.6.1), ghc6 (<< 6.6.1-999), haskell-devscripts (>= 0.5.6), cpphs, libghc6-mtl-dev, libghc6-missingh-dev (>= 0.18.6)
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2), ghc6 (<< 6.8.2-999), haskell-devscripts (>= 0.5.6), cpphs, libghc6-mtl-dev, libghc6-missingh-dev (>= 1.0.0)
 Build-Depends-Indep: debhelper (>= 4.0.0), haddock, haskell-devscripts (>= 0.5.6), ghc6 (>= 6.6), cpphs
 Standards-Version: 3.6.2
 Section: devel
@@ -9,7 +9,7 @@
 Package: libghc6-anydbm-dev
 Section: devel
 Architecture: any
-Depends: ${haskell:Depends}, libghc6-mtl-dev, libghc6-missingh-dev (>= 0.18.6)
+Depends: ${haskell:Depends}, libghc6-mtl-dev, libghc6-missingh-dev (>= 1.0.0)
 Suggests: anydbm-doc
 Description: Generic DBM-type interface for Haskell, GHC package
  This module provides a generic infrastructure for supporting storage

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	make setup
	./setup configure --prefix=$(LIBPATH) --ghc

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	#make test-ghc6
	# Add here commands to compile the package.
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-./setup clean
	-make clean
	-rm -rf setup Setup.hi Setup.ho Setup.o .*config* dist html

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs -a 

	# Add here commands to install the package into debian/tmp
	dh_haskell -a
	make test-ghc6

builddocs: builddocs-stamp
builddocs-stamp:
	dh_testdir

	make doc

installdocs: builddocs
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -i

	dh_haskell -i
	#make test-hugs

# Build architecture-independent files here.
binary-indep: builddocs installdocs
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## haskell-anydbm 1.0.5.1

=== debian/changelog ===
haskell-anydbm (1.0.5.1) unstable; urgency=low

  * Rebuild for newer MissingH.  Closes: #478939, #477007.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 09 May 2008 09:33:55 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: haskell-anydbm
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2), ghc6 (<< 6.8.2-999), haskell-devscripts (>= 0.5.6), cpphs, libghc6-mtl-dev, libghc6-missingh-dev (>= 1.0.0)
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2), ghc6 (<< 6.8.2-999), haskell-devscripts (>= 0.5.6), cpphs, libghc6-mtl-dev, libghc6-missingh-dev (>= 1.0.1)
 Build-Depends-Indep: debhelper (>= 4.0.0), haddock, haskell-devscripts (>= 0.5.6), ghc6 (>= 6.6), cpphs
 Standards-Version: 3.6.2
 Section: devel
@@ -9,7 +9,7 @@
 Package: libghc6-anydbm-dev
 Section: devel
 Architecture: any
-Depends: ${haskell:Depends}, libghc6-mtl-dev, libghc6-missingh-dev (>= 1.0.0)
+Depends: ${haskell:Depends}, libghc6-mtl-dev, libghc6-missingh-dev (>= 1.0.1)
 Suggests: anydbm-doc
 Description: Generic DBM-type interface for Haskell, GHC package
  This module provides a generic infrastructure for supporting storage

## haskell-anydbm 1.0.5.4

=== debian/changelog ===
haskell-anydbm (1.0.5.4) unstable; urgency=high

  * Rebuild with newer GHC.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 19 Jan 2009 15:53:01 -0600

haskell-anydbm (1.0.5.3) unstable; urgency=low

  * Rebyuild with newer MissingH.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 11 Dec 2008 09:13:53 -0600

haskell-anydbm (1.0.5.2) unstable; urgency=low

  * Rebuild for newer MissingH.
  * Introduces dh_haskell_depends.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 05 Dec 2008 15:38:43 -0600

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: haskell-anydbm
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2), ghc6 (<< 6.8.2-999), haskell-devscripts (>= 0.5.6), cpphs, libghc6-mtl-dev, libghc6-missingh-dev (>= 1.0.1)
-Build-Depends-Indep: debhelper (>= 4.0.0), haddock, haskell-devscripts (>= 0.5.6), ghc6 (>= 6.6), cpphs
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2dfsg1), haskell-devscripts (>= 0.6.15), cpphs, libghc6-mtl-dev, libghc6-missingh-dev (>= 1.0.3.2)
+Build-Depends-Indep: debhelper (>= 4.0.0), haddock, haskell-devscripts (>= 0.6.15), ghc6 (>= 6.8.2dfsg1), cpphs
 Standards-Version: 3.6.2
 Section: devel

=== debian/rules ===
--- 
+++ 
@@ -67,6 +67,7 @@
 
 	# Add here commands to install the package into debian/tmp
 	dh_haskell -a
+	dh_haskell_depends -a
 	make test-ghc6
 
 builddocs: builddocs-stamp
